Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution
Class UtilTestSuite.ArrayListDirectIteration

    java.lang.Object
      javolution.testing.TestCase
          javolution.UtilTestSuite.ArrayListDirectIteration

Enclosing class:
  UtilTestSuite

    public static class UtilTestSuite.ArrayListDirectIteration

extends TestCase

Constructor Summary
`UtilTestSuite.ArrayListDirectIteration(int size)`

Method Summary
`int` | `count()` The number of times the test case is exercised (default `1`).
`void` | `execute()` Executes this test case (possibly multiple times in which case the `TestCase.count()` method should be overriden).
`java.lang.CharSequence` | `getDescription()` Returns the description of this test case or `null` if none.
`void` | `validate()` Validates the test results (the default implementation does nothing).

Methods inherited from class javolution.testing.TestCase
`cleanup, prepare, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtilTestSuite.ArrayListDirectIteration

    public UtilTestSuite.ArrayListDirectIteration(int size)

Method Detail

### getDescription

    public java.lang.CharSequence getDescription()

  Description copied from class: `TestCase`
  Returns the description of this test case or `null` if none.

  Overrides:
    `getDescription` in class `TestCase`
  Returns:
    the description or `null`

### execute

    public void execute()

  Description copied from class: `TestCase`
  Executes this test case (possibly multiple times in which case the `TestCase.count()` method should be overriden).

  Specified by:
    `execute` in class `TestCase`

### count

    public int count()

  Description copied from class: `TestCase`
  The number of times the test case is exercised (default `1`).

  Overrides:
    `count` in class `TestCase`
  Returns:
    the number of test case occurences in `TestCase.execute()`.

### validate

    public void validate()

  Description copied from class: `TestCase`
  Validates the test results (the default implementation does nothing).

  Overrides:
    `validate` in class `TestCase`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.